Get WhatsApp Template
curl --request GET \
--url https://api.hilos.io/api/channels/whatsapp/template/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.hilos.io/api/channels/whatsapp/template/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.hilos.io/api/channels/whatsapp/template/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"language": "af",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "ACCOUNT_UPDATE",
"channel": {
"id": 123,
"channel_id": "<string>",
"channel_type": "WHATSAPP",
"name": "<string>",
"status": "NEW",
"created_on": "2023-11-07T05:31:56Z",
"channel_provider": "META_CLOUD_API",
"is_sandbox": true
},
"components": {},
"status": "draft",
"rejected_reason": "<string>",
"is_deleted": true,
"is_sample": true
}WhatsApp Templates
Get an specific WhatsApp template
Gets a WhatsApp Template by Id.
GET
/
api
/
channels
/
whatsapp
/
template
/
{id}
Get WhatsApp Template
Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
Response
200 - application/json
Maximum string length:
120Available options:
af, sq, ar, az, bn, bg, ca, zh_CN, zh_HK, zh_TW, hr, cs, da, nl, en, en_GB, en_US, et, fil, fi, fr, ka, de, el, gu, ha, he, hi, hu, id, ga, it, ja, kn, kk, rw_RW, ko, ky_KG, lo, lv, lt, mk, ms, ml, mr, nb, fa, pl, pt_BR, pt_PT, pa, ro, ru, sr, sk, sl, es, es_AR, es_ES, es_MX, sw, sv, ta, te, th, tr, uk, ur, uz, vi, zu The UUID of the WhatsApp Template to be sent.
Available options:
ACCOUNT_UPDATE, PAYMENT_UPDATE, PERSONAL_FINANCE_UPDATE, SHIPPING_UPDATE, RESERVATION_UPDATE, ISSUE_RESOLUTION, APPOINTMENT_UPDATE, TRANSPORTATION_UPDATE, TICKET_UPDATE, ALERT_UPDATE, AUTO_REPLY, TRANSACTIONAL, MARKETING, OTP, AUTHENTICATION, UTILITY The ID of the WhatsApp Channel that the WhatsApp Template is for.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
draft, approved, in_appeal, pending, rejected, pending_deletion, deleted, disabled, submitted Was this page helpful?

